Bug 44492 - WebFrameTest.ContentText crashes on Windows bots
Summary: WebFrameTest.ContentText crashes on Windows bots
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Platform (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Windows XP
: P2 Normal
Assignee: Jay Civelli
URL:
Keywords: GoogleBug
Depends on:
Blocks:
 
Reported: 2010-08-23 23:39 PDT by Roland Steiner
Modified: 2010-08-31 01:57 PDT (History)
6 users (show)

See Also:


Attachments
patch - disable failing test (956 bytes, patch)
2010-08-23 23:49 PDT, Roland Steiner
tkent: review+
Details | Formatted Diff | Diff
Initial patch (2.83 KB, patch)
2010-08-24 10:21 PDT, Jay Civelli
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Roland Steiner 2010-08-23 23:39:06 PDT
WebFrameTest.ContentText crashes on both the FYI webkit (webkit.org) bot as well as on win_rel try bots
Comment 1 Roland Steiner 2010-08-23 23:49:30 PDT
Created attachment 65217 [details]
patch - disable failing test

Disabling failing test for the time being.
Comment 2 Roland Steiner 2010-08-24 00:04:31 PDT
FWIW, on my Windows machine it runs into the last DCHECK in WebURLLoaderMockFactory::RegisterURL
Comment 3 WebKit Review Bot 2010-08-24 00:36:49 PDT
http://trac.webkit.org/changeset/65867 might have broken Chromium Win Release
Comment 4 Jay Civelli 2010-08-24 10:15:36 PDT
I forgot to check-in the actual test files, so the test DCHECKs when trying to access them. Sorry for the breakage.
Fix coming shortly.
Comment 5 Jay Civelli 2010-08-24 10:21:55 PDT
Created attachment 65290 [details]
Initial patch
Comment 6 Dimitri Glazkov (Google) 2010-08-24 10:31:16 PDT
Comment on attachment 65290 [details]
Initial patch

ok.
Comment 7 WebKit Commit Bot 2010-08-25 03:41:55 PDT
Comment on attachment 65290 [details]
Initial patch

Clearing flags on attachment: 65290

Committed r66003: <http://trac.webkit.org/changeset/66003>